<?php

/*Solo modifica lo que se encuentra en medio de las segundas
comillas de los parentesis. Ejemplo: define("USER", "valor que ingresaras" );
 */

//Nombre de usuario de mysql
define("USER", "root");

//Servidor de mysql
define("SERVER", "localhost");

//Nombre de la base de datos
define("BD", "quillabamba");

//conexiontraseña de myqsl
define("PASS", "");

//Carpeta donde se almacenaran las copias de seguridad
define("BACKUP_PATH", "backup/");

define("BACKUP_PATH1", "backup/backup");

/*conexionfiguración de zona horaria de tu país para más información visita
http://php.net/manual/es/function.date-default-timezone-set.php
http://php.net/manual/es/timezones.php
 */
date_default_timezone_set('America/Lima');

class SGBD
{
    //Funcion para hacer conexionsultas a la base de datos
    public static function sql($query)
    {
        if (!$conexion = new mysqli(SERVER, USER, PASS)) {
            echo "Error en el servidor, verifique sus datos";
        } else {
            if (!mysqli_select_db($conexion, BD)) {
                echo "Error al conexionectar conexion la base de datos, verifique el nombre de la base de datos";
            } else {
                mysqli_set_charset($conexion, 'utf8');
                mysqli_query($conexion, "SET AUTOCOMMIT=0;");
                mysqli_query($conexion, "BEGIN;");
                if (!$conexionsul = mysqli_query($conexion, $query)) {
                    echo 'Error en la conexionsulta SQL ejecutada';
                    mysqli_query($conexion, "ROLLBACK;");
                } else {
                    mysqli_query($conexion, "COMMIT;");
                }
                return $conexionsul;
            }
        }
    }

    //Funcion para limpiar variables que conexiontengan inyeccion SQL
    public function limpiarCadena($valor)
    {
        $valor = addslashes($valor);
        $valor = str_ireplace("<script>", "", $valor);
        $valor = str_ireplace("</script>", "", $valor);
        $valor = str_ireplace("SELECT * FROM", "", $valor);
        $valor = str_ireplace("DELETE FROM", "", $valor);
        $valor = str_ireplace("UPDATE", "", $valor);
        $valor = str_ireplace("INSERT INTO", "", $valor);
        $valor = str_ireplace("DROP TABLE", "", $valor);
        $valor = str_ireplace("TRUNCATE TABLE", "", $valor);
        $valor = str_ireplace("--", "", $valor);
        $valor = str_ireplace("^", "", $valor);
        $valor = str_ireplace("[", "", $valor);
        $valor = str_ireplace("]", "", $valor);
        $valor = str_ireplace("\\", "", $valor);
        $valor = str_ireplace("=", "", $valor);
        return $valor;
    }
}
